# Codecov settings
# After modifying this file, it might be worth to validate it with:
# `curl --data-binary @.codecov.yml https://codecov.io/validate`

codecov:
  notify:
    require_ci_to_pass: yes

# define the colour bar limits here
coverage:
  precision: 2
  round: down
  range: "75...100"

  # diff type
  status:
    project:
      default:
        # commits below this threshold will be marked as failed
        target: '85%'
        # how much we allow the coverage to drop
        threshold: '2%'
    patch:
      default:
        target: '95%'
        threshold: '5%'

# files to ignore
ignore:
<<<<<<< HEAD
  - "tests/**/*.py"
=======
  - "tests/**"
>>>>>>> upstream/8.0_b2
  - "ws_messages_pb2.py"

flag_management:
  default_rules:
    carryforward: true

# turn off comments to pull requests
comment: false
